DU(1)

NAVN
du - estimate file space usage

OVERSIKT
du [VALG]... [FIL]...
du [VALG]... --files0-from=F

BESKRIVELSE

Summarize device usage of the set of FILEs, recursively for directories.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-0, --null
    Separat utskrift med NUL i stedet for ny linje.

-a, --all
    Vis størrelsen på alle filer, ikke bare mapper.

-A, --apparent-size
    print apparent sizes rather than device usage; although the apparent size is usually smaller, it may be larger due to holes in ('sparse') files, internal fragmentation, indirect blocks, etc.

-B, --block-size=STØRR
    scale sizes by SIZE before printing them; See SIZE format below; E.g., '-BM' prints sizes in units of 1,048,576 bytes

-b, --bytes
    Tilsvarer «--apparent-size --block-size=1».

-c, --total
    Regn ut en totalsum.

-D, --dereference-args
    Følg bare symbolske lenker hvis de er valgt på kommandolinja.

-d, --max-depth=N
    Skriv ut totalsum for en mappe (eller fil med --all) kun hvis den er N eller færre nivå under kommandolinje-argumentet (--max-depth=0 tilsvarer --summarize).

--files0-from=F
    summarize device usage of the NUL-terminated file names specified in file F; if F is -, read names from standard input

-H  Tilsvarer --dereference-args og -D.

-h, --human-readable
    Skriv ut størrelser i menneskelig lesbart format (f.eks. 1K 234M 2G).

--inodes
    Vis inode-bruksinformasjon i stedet for blokkbruk.

-k  Tilsvarer --block-size=1K.

-L, --dereference
    Følg alle symbolske lenker.

-l, --count-links
    Beregn størrelser mange ganger for harde lenker.

-m  Tilsvarer --block-size=1M.

-P, --no-dereference
    Ikke følg symbolske lenker (dette er standard).

-S, --separate-dirs
    Ikke ta med størrelser på undermapper.

--si
    Likner -h, men regner enheter i 1000 i stedet for 1024.

-s, --summarize
    Bare vis en totalsum for hvert argument.

-t, --threshold=STØRRELSE
    Utelat oppføringer som er mindre enn valgt STØRRELSE hvis verdien er positiv, eller større hvis STØRRELSE er negativ.

--time
    Vis tidspunkt for forrige endring av filer i mappa, eller undermapper.

--time=ORD
    Vis tid av typen ORD, i stedet for endringstidspunkt: «atime», «access», «use», «ctime» eller «status».

--time-style=STIL
    time/date format with --time; see TIME_STYLE below

-X, --exclude-from=FIL
    Utelat filer som samsvarer med mønster(e) i valgt FIL.

--exclude=MØNSTER
    Utelat filer som samsvarer med MØNSTER.

-x, --one-file-system
    Hopp over mapper på ulike filsystemer.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Verdier vises i enheter etter angitt STØRRELSEsformat fra --block-size, og miljøvariablene DU_BLOCK_SIZE, BLOCK_SIZE og BLOCKSIZE. Standardenhet er 1024 byte (eller 512 hvis POSIXLY_CORRECT er valgt).

STØRRelse er et valgfritt argument i heltallsformat (eks.: 10M er 10*1024*1024). Gyldige enheter er K, M, G, T, P, E, Z, Y, R og Q (1024-byte-enheter) - evt. KB, MB, osv. (1000-byte-enheter). Du kan også bruke binær-prefiks i form av KiB (K), MiB (M), og så videre.

The --time-style STYLE argument can be full-iso, long-iso, iso, or +FORMAT. FORMAT is interpreted like in date(1). Also the TIME_STYLE environment variable sets the default style to use.

MØNSTER
PATTERN is a shell pattern (not a regular expression). The pattern ? matches any one character, whereas * matches any string (composed of zero, one or multiple characters). For example, *.o will match any files whose names end in .o. Therefore, the command

    du --exclude='*.o'

will skip all files and subdirectories ending in .o (including the file .o itself).

FORFATTER
Skrevet av Torbjorn Granlund, David MacKenzie, Paul Eggert og Jim Meyering.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2026 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/du>
eller lokalt: info '(coreutils) du invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.